package com.example.nekontakte;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.example.nekontakte.users.model.UserEntity;
import com.example.nekontakte.users.model.UserRole;
import com.example.nekontakte.users.service.UserService;

@SpringBootApplication
public class NekontakteApplication implements CommandLineRunner {

	private final Logger _logger = LoggerFactory.getLogger(NekontakteApplication.class);

	private final UserService userService;

	public NekontakteApplication(UserService userService) {
		this.userService = userService;
	}

	public static void main(String[] args) {
		SpringApplication.run(NekontakteApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		_logger.info("Create default user values");
		if (userService.getAll().isEmpty()) {
			UserEntity admin = new UserEntity("admin", "admin", UserRole.ADMIN);
			userService.create(admin);
		}
		_logger.info(String.format("users count: %s", userService.getAll().size()));
	}

}
