package com.example.nekontakte.users.model;

import org.springframework.security.core.GrantedAuthority;

public enum UserRole implements GrantedAuthority {
    ADMIN("Администратор"),
    USER("Пользователь");

    private static final String PREFIX = "ROLE_";
    private final String displayName;

    public String getDisplayName() {
        return displayName;
    }

    private UserRole(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String getAuthority() {
        return PREFIX + this.name();
    }
}
